### Hierarchy

- unknown
  - CashDepositAccountPayload

## Index

### Constructors

- constructor

### Methods

- getAccountNr
- getAccountType
- getBankId
- getBankName
- getBranchId
- getHolderEmail
- getHolderName
- getHolderTaxId
- getNationalAccountId
- getRequirements
- serializeBinary
- setAccountNr
- setAccountType
- setBankId
- setBankName
- setBranchId
- setHolderEmail
- setHolderName
- setHolderTaxId
- setNationalAccountId
- setRequirements
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CashDepositAccountPayload(): CashDepositAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns CashDepositAccountPayload

## Methods

### getAccountNr

- getAccountNr(): string

- - Defined in src/protobuf/pb_pb.d.ts:4819

  #### Returns string

### getAccountType

- getAccountType(): string

- - Defined in src/protobuf/pb_pb.d.ts:4822

  #### Returns string

### getBankId

- getBankId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4813

  #### Returns string

### getBankName

- getBankName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4810

  #### Returns string

### getBranchId

- getBranchId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4816

  #### Returns string

### getHolderEmail

- getHolderEmail(): string

- - Defined in src/protobuf/pb_pb.d.ts:4807

  #### Returns string

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4804

  #### Returns string

### getHolderTaxId

- getHolderTaxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4828

  #### Returns string

### getNationalAccountId

- getNationalAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4831

  #### Returns string

### getRequirements

- getRequirements(): string

- - Defined in src/protobuf/pb_pb.d.ts:4825

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4834

  #### Returns Uint8Array

### setAccountNr

- setAccountNr(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4820

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setAccountType

- setAccountType(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4823

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setBankId

- setBankId(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4814

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setBankName

- setBankName(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4811

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setBranchId

- setBranchId(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4817

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setHolderEmail

- setHolderEmail(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4808

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setHolderName

- setHolderName(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4805

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setHolderTaxId

- setHolderTaxId(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4829

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setNationalAccountId

- setNationalAccountId(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4832

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### setRequirements

- setRequirements(value: string): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4826

  #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

### toObject

- toObject(includeInstance?: boolean): CashDepositAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4835

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CashDepositAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4838

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CashDepositAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CashDepositAccountPayload, reader: BinaryReader): CashDepositAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4839

  #### Parameters

  - ##### message: CashDepositAccountPayload

  - ##### reader: BinaryReader

  #### Returns CashDepositAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CashDepositAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4837

  #### Parameters

  - ##### message: CashDepositAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CashDepositAccountPayload ): CashDepositAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4836

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CashDepositAccountPayload

  #### Returns CashDepositAccountPayload . AsObject

Generated using TypeDoc